<?php

/**
 * Active Callbacks
 *
 * @package aster_vlogger
 */

// Theme Options.
function aster_vlogger_is_pagination_enabled( $aster_vlogger_control ) {
	return ( $aster_vlogger_control->manager->get_setting( 'aster_vlogger_enable_pagination' )->value() );
}
function aster_vlogger_is_breadcrumb_enabled( $aster_vlogger_control ) {
	return ( $aster_vlogger_control->manager->get_setting( 'aster_vlogger_enable_breadcrumb' )->value() );
}
function aster_vlogger_is_layout_enabled( $aster_vlogger_control ) {
	return ( $aster_vlogger_control->manager->get_setting( 'aster_vlogger_website_layout' )->value() );
}
function aster_vlogger_is_pagetitle_bcakground_image_enabled( $aster_vlogger_control ) {
	return ( $aster_vlogger_control->manager->get_setting( 'aster_vlogger_page_header_style' )->value() );
}
function aster_vlogger_is_preloader_style( $aster_vlogger_control ) {
	return ( $aster_vlogger_control->manager->get_setting( 'aster_vlogger_enable_preloader' )->value() );
}

// Header Options.
function aster_vlogger_is_topbar_enabled( $aster_vlogger_control ) {
	return ( $aster_vlogger_control->manager->get_Setting( 'aster_vlogger_enable_topbar' )->value() );
}

// Banner Slider Section.
function aster_vlogger_is_banner_slider_section_enabled( $aster_vlogger_control ) {
	return ( $aster_vlogger_control->manager->get_setting( 'aster_vlogger_enable_banner_section' )->value() );
}
function aster_vlogger_is_banner_slider_section_and_content_type_post_enabled( $aster_vlogger_control ) {
	$content_type = $aster_vlogger_control->manager->get_setting( 'aster_vlogger_banner_slider_content_type' )->value();
	return ( aster_vlogger_is_banner_slider_section_enabled( $aster_vlogger_control ) && ( 'post' === $content_type ) );
}
function aster_vlogger_is_banner_slider_section_and_content_type_page_enabled( $aster_vlogger_control ) {
	$content_type = $aster_vlogger_control->manager->get_setting( 'aster_vlogger_banner_slider_content_type' )->value();
	return ( aster_vlogger_is_banner_slider_section_enabled( $aster_vlogger_control ) && ( 'page' === $content_type ) );
}

// Service section.
function aster_vlogger_is_service_section_enabled( $aster_vlogger_control ) {
	return ( $aster_vlogger_control->manager->get_setting( 'aster_vlogger_enable_service_section' )->value() );
}
function aster_vlogger_is_service_section_and_content_type_post_enabled( $aster_vlogger_control ) {
	$content_type = $aster_vlogger_control->manager->get_setting( 'aster_vlogger_service_content_type' )->value();
	return ( aster_vlogger_is_service_section_enabled( $aster_vlogger_control ) && ( 'post' === $content_type ) );
}
function aster_vlogger_is_service_section_and_content_type_page_enabled( $aster_vlogger_control ) {
	$content_type = $aster_vlogger_control->manager->get_setting( 'aster_vlogger_service_content_type' )->value();
	return ( aster_vlogger_is_service_section_enabled( $aster_vlogger_control ) && ( 'page' === $content_type ) );
}